/**************************************************************************************************/
// ★desktop.js
//
// ▼メモ
//  - TODO・検討箇所がある場合、記述。
//
// ▼更新履歴
// 2014.12.26 新規作成(Makoto.T)
//                                                           Copyright(C)2014 TIME CONCIER Co.,Ltd.
/**************************************************************************************************/
(function (PLUGIN_ID) {

    "use strict";

/**************************************************************************************************/
// イベントハンドラ
/**************************************************************************************************/

    /******************************************************/
    // 詳細画面"表示"のタイミングで実行
    /******************************************************/
    function putLabelBtn (event) {

        // デザインによって取得するメニューのクラスを切り分け
        if ( kintone.getUiVersion() != 2 ) {
            // 旧デザインの場合
            var elMenuUl = document.getElementsByClassName("gaia-ui-actionmenu-left")[0];
            var strCls = " tc-menubtn-opelate";
        } else {
            // 新デザインの場合
            var elMenuUl = document.getElementsByClassName("gaia-argoui-app-toolbar-menu")[0];
            var strCls = " tc-toolbar-app-menu";
        }
        // すでにラベル配置済みの場合は処理しない
        if ( document.getElementsByClassName(strCls).length ) { return; }

        // メニューの要素数分処理
        for ( var cnt in elMenuUl.childNodes ) {

            if ( !isNaN(cnt) ) {

                // クラス名付与
                var elIcon = elMenuUl.childNodes[cnt];
                if ( elIcon.className == "" ) { continue; }		// 縦棒要素は処理しない
                elIcon.className += strCls;						// TCカスタムスタイル適用

                // titleプロパティの値を表示する
                if ( kintone.getUiVersion() != 2 ) {
                    // 旧デザインの場合(すべてのラベルを出す)
                    var strTitle = elIcon.childNodes[0].title;
                    var elMenuLbl = TcCreateElement("div", strTitle);
                    elIcon.childNodes[0].appendChild( elMenuLbl );
                } else {
                    // 新デザインの場合(追加・編集・再利用・印刷のラベルを出す)
                    if ( cnt >= 4 ) { continue; }
                    var strTitle = elIcon.childNodes[0].textContent;
                    var elMenuLbl = TcCreateElement("span", strTitle, "tc-toolbar-menu-content");
                    elIcon.appendChild( elMenuLbl );
                }

            }

        }

    }

    //********************************/
    // イベントハンドラ設定
    //********************************/
    kintone.events.on(['app.record.detail.show'], putLabelBtn);

/**************************************************************************************************/
// コール用関数・クラス
/**************************************************************************************************/

    /******************************************************/
    // 要素の生成
    // pTag		String:タグ名("div"や"a"など)
    // pTxt		String:textContentの値
    // pCls		String:クラス名
    /******************************************************/
    function TcCreateElement(pTag, pTxt, pCls) {

        // 新しい要素を生成
        var result = document.createElement(pTag);

        // 指定されたtextContentを設定する
        if ( pTxt ) { result.textContent = pTxt; }

        // クラス名設定
        if ( pCls ) { result.className = pCls; }

        return result;

    }


})(kintone.$PLUGIN_ID);
